Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.signers
Class GOST3410Signer

    java.lang.Object
      org.bouncycastle.crypto.signers.GOST3410Signer

All Implemented Interfaces:
  DSA

    public class GOST3410Signer

extends java.lang.Object
implements DSA

GOST R 34.10-94 Signature Algorithm

Constructor Summary
`GOST3410Signer()`

Method Summary
`java.math.BigInteger[]` `generateSignature(byte[] message)` generate a signature for the given message using the key we were initialised with.
`void` `init(boolean forSigning, CipherParameters param)` initialise the signer for signature generation or signature verification.
`boolean` `verifySignature(byte[] message, java.math.BigInteger r, java.math.BigInteger s)` return true if the value r and s represent a GOST3410 signature for the passed in message for standard GOST3410 the message should be a GOST3411 hash of the real message to be verified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410Signer

    public GOST3410Signer()

Method Detail

### init

    public void init(boolean forSigning,
                     CipherParameters param)

  Description copied from interface: `DSA`
  initialise the signer for signature generation or signature verification.

  Specified by:
    `init` in interface `DSA`
  Parameters:
    `forSigning` - true if we are generating a signature, false otherwise.
    `param` - key parameters for signature generation.

### generateSignature

    public java.math.BigInteger[] generateSignature(byte[] message)

  generate a signature for the given message using the key we were initialised with. For conventional GOST3410 the message should be a GOST3411 hash of the message of interest.

  Specified by:
    `generateSignature` in interface `DSA`
  Parameters:
    `message` - the message that will be verified later.
  Returns:
    two big integers representing the r and s values respectively.

### verifySignature

    public boolean verifySignature(byte[] message,
                                   java.math.BigInteger r,
                                   java.math.BigInteger s)

  return true if the value r and s represent a GOST3410 signature for the passed in message for standard GOST3410 the message should be a GOST3411 hash of the real message to be verified.

  Specified by:
    `verifySignature` in interface `DSA`
  Parameters:
    `message` - the message that was supposed to have been signed.
    `r` - the r signature value.
    `s` - the s signature value.

Bouncy Castle Cryptography Library 1.45